LPE(1)

NOM
lpe - Lightweight programmer's editor (Éditeur de texte léger pour programmeurs)

SYNOPSIS
lpe [ --help | --version ]
lpe [ -- ] file

DESCRIPTION
Lpe est un éditeur de texte temps réel, minimaliste, visuel, conçu pour faciliter l'édition de code sans isoler les utilisateurs du shell. Il permet la recherche de texte simple dans les fichiers, le couper-coller de blocs, ainsi que d'autres fonctionnalités standards. Il s'inspire un peu d'emacs(1) et pico(1).

  Options

--help
    Affiche une brève description du programme et de son utilisation et rend le contrôle au shell. Cela doit être la première opiton passée à lpe, toutes les autres options sont alors ignorées.

--version
    Affiche le numéro de version du programme et rend le contrôle au shell. Cela doit être la première opiton passée à lpe, toutes les autres options sont alors ignorées.

--  Considère que les arguments suivants sont des noms de fichiers et non des options. Cela permet l'utilisation de lpe pour éditer des fichiers dont le nom commence avec le caractère -.

NOTES
Comme mentionné plus haut, lpe est un éditeur minimaliste, conçu pour être petit, robuste et efficace, non pour contenir des fonctionnalités superflues. Pour cette raison, apprendre à utiliser lpe n'est pas difficile si l'utilisateur est d'accord pour apprendre un petit nombre de raccourcis clavier.

  Commandes clavier

Up ou Alt-K
    Aller sur la ligne précédente

Down ou Alt-J
    Aller sur la ligne suivante

Left ou Alt-H
    Aller à gauche d'un caractère

Right ou Alt-L
    Aller à droite d'un caractère

Home ou Alt-0
    Déplacer le curseur en début de ligne

End ou Alt-$
    Déplacer le curseur en fin de ligne

PageUp ou Alt-B
    Se déplacer d'un écran vers le haut

PageDn ou Alt-F
    Se déplacer d'un écran vers le bas

Alt-A
    Aller au début de fichier

Alt-S
    Aller en fin de fichier

Ctrl-S
    Chercher une chaîne de caractère

Ctrl-K
    Détruire la ligne courante

Ctrl-Y ou Ctrl-U
    Insérer le dernier bloc effacé

Ctrl-T
    Changer la gestion des tabulations

Ctrl-O
    Ouvrir un nouveau fichier depuis l'éditeur

Ctrl-W
    Ecrire le fichier sur le disque

Ctrl-Q
    Sauver sous un autre nom

Ctrl-E
    Ignorer les modifications faites au fichier

Ctrl-X
    Ecrire le fichier sur le disque et quitter

Ctrl-D
    Executer une commande interne de debug

<interrupt>
    Sortir sans sauver le fichier

Ctrl-Z
    Suspendre l'éditeur et ouvrir un shell

    <interrupt> désigne la touche d'interruption de votre terminal. C'est souvent la combinaison Ctrl-C, mais cela peut varier d'un terminal à l'autre. La combinaison Ctrl-Z est, par contre, fixée et ne dépend donc pas de votre terminal.

VOIR AUSSI
emacs(1), pico(1)

AUTEUR
Chris Smith, cd_smith@ou.edu

BUGS
Il y en a des tas -- Lire le fichier BUGS dans les fichiers de la distribution pour une liste partielle. Je ne compte pas mettre à jour cette man page aussi souvent que la liste des bugs rencontrés, je ne vais donc même pas essayer de lister tous les problèmes ici.